Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234803 - /usr/share/doc/hercules-3.04.1/README.fedora is incorrect
Summary: /usr/share/doc/hercules-3.04.1/README.fedora is incorrect
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hercules
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 07:45 UTC by Steve Whitehouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-19 15:32:45 UTC


Attachments (Terms of Use)

Description Steve Whitehouse 2007-04-02 07:45:45 UTC
The description of how to install Fedora on hercules is incorrect in various
ways. In the download instructions it says to get 5 files from a particular
directory, but only two of them actually exist, so either the other files should
be provided or the instructions changed to reflect the current situation.

I presume that hercules-run is supposed to be a script, but such a thing doesn't
exist in the current rpm package, so again this needs to be changed.

Comment 1 Karsten Hopp 2007-04-23 14:14:50 UTC
> rpm -qpl hercules-3.04.1-4.fc6.i386.rpm   | grep hercules-run
/usr/sbin/hercules-run

hercules-run is in sbin as it needs to be run by the superuser to be able to 
set up the network


Comment 2 Steve Whitehouse 2007-04-23 14:48:14 UTC
Thanks for the help earlier. I had indeed missed hercules-run when I installed
the thing, although that wasn't actually the problem.

What I needed to know was to set the ARCHMODE to ESAME rather than leaving it at
the default which would be a useful addition to the README.fedora instructions.
This allowed RHEL-5 to boot.

My comments about the location of the Fedora boot files though, still stand.



Comment 3 Matthias Saou 2007-05-04 13:19:05 UTC
Well, I wrote those quick bits of "documentation" when I was playing with
hercules myself. Things were current at the timee, but obviously got outdated...

Patches welcome! :-)

Comment 4 Matthias Saou 2007-06-19 12:46:01 UTC
Now that Fedora has merged Core and Extras, and that no rebuilds are no longer
being done for s390, I guess the Fedora specific instructions should be removed
from the docs.

I'll try out a RHEL-5 install and update the documentation where needed.

Comment 5 Matthias Saou 2007-06-19 15:32:45 UTC
I've updated the Fedora development (F8) package to remove the Fedora specific
instruction and add the required config change to ESAME for the s390x distros.
No need for a Fedora 7 update just for this, though.


Note You need to log in before you can comment on or make changes to this bug.